Create QR Code Transaction

⚠️ Important: To use this endpoint, include the header X-Trace-Version with the value 2.

This API allows for creating QR code transactions, with special handling for transactions involving optional amounts.

When initiating a QR code transaction, you can optionally include an amount in your request. The handling of the transaction is influenced by whether an amount is specified and whether the QR code itself specifies an amount.

  • With amount Specified:

    • If the QR code does not specify an amount, the amount from the request is used.
    • If the QR code specifies an amount, it's validated against the request amount. A mismatch triggers an error INCONSISTENT_QRCODE_AMOUNT_VALUE.
  • Without amount Specified:

    • If the QR code lacks a predefined amount, error MISSING_QRCODE_AMOUNT is returned.
    • If the QR code specifies an amount, the transaction uses this amount.

Asynchronous Enrichment In the response of this request, endToEnd, destination and amount (if not provided in the request) fields will be returned as null. These fields will be asynchronously populated at a later stage of the processing cycle. Additionally, due to the asynchronous nature of this processing, the transaction will initially be returned with REQUESTED status. Once the necessary data has been populated and the transaction has progressed, the status will be updated accordingly in subsequent stages.

Body Params
uuid

The bank account from which the PIX transaction will originate. Mutually exclusive with virtualAccountId - exactly one must be provided.

string

The virtual account from which the PIX transaction will originate. Mutually exclusive with bankAccountId - exactly one must be provided.

string
required

The value of the QR Code

string
required

An idempotent identifier provided by the client to ensure that a request is processed only once. If a request with an existing IdempotentId is received, the processing is terminated and an error is returned to indicate that the request cannot be processed again.

amount
object

Monetary value

validations
array of objects
validations
string | null

Optional message that can be sent to the recipient along with a PIX transaction. The message can be up to 140 characters long and must not contain the | (pipe) character.

Headers
string

Access Token

const
enum
required

Indicates the version of Trace Finance's API to be used. This header should be included by clients using version 2 of the API

Allowed:
Responses

Language
Credentials
OAuth2
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json